/***********************************************************************
** Copyright (C) 2011 Anthony Naddeo <anthony.naddeo@gmail.com>
**
** This file is part of LinkedUp
**
** LinkedUp is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 3 of the License, or
** (at your option) any later version.
**
** LinkedUp is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this package; If not, see <http://www.gnu.org/licenses/>.
**
***********************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#include <QObject>
#include <QSettings>

class Settings : public QObject
{
    Q_OBJECT
public:
	explicit Settings(QObject *parent = 0){
		settings = new QSettings(QSettings::UserScope, "linkedup", "linkedup");
	}
	~Settings(){delete settings;}

	Q_INVOKABLE QString get(QString value){
		return settings->value(value, "").toString();
	}

	Q_INVOKABLE void set(QString key, QString value){
		settings->setValue(key, value);
	}

private:
	QSettings* settings;

};

#endif // SETTINGS_H
